import { ReducedReport } from '../../collect/utils/report/types';
import { Hierarchy } from '../../../core/md/headline';
export declare function generateMdReport(flowResult: ReducedReport): string;
/**
 * ## Navigation report (127.0.0.1/)
 *
 * | Resource Type | Requests | Transfer Size | Over Budget |
 * | :-----------: | :------: | :-----------: | :---------: |
 * |     Total     |  205774  |     total     |   204750    |
 * |    Script     |  101958  |    script     |      -      |
 * |  Third-party  |  97308   |  third-party  |      -      |
 *
 * |         Metric         | Measurement | Over Budget |
 * | :--------------------: | :---------: | :---------: |
 * | First Meaningful Paint |    2043     |     43      |
 * |  Time to Interactive   |    4745     |      -      |
 *
 */
export declare function getBudgetTable(reducedReport: ReducedReport, options?: {
    heading: Hierarchy;
}): string;
/**
 * | Step Name       | Gather Mode |Performance | Accessibility | BestPractices | Seo  | PWA |
 * | --------------- | ----------- | ------------- | ------------- | ---- | --- |
 * |  Nav1           |  99         | 50            | 100           | 98   |  -  |
 * |  Snap   1       |  3/3        | 22/5          | 5/2           | 7/10 |  -  |
 * |  TimeSpan 1     |  10/11      | -             | 4/7           | 7/10 |  -  |
 */
export declare function getStepsTable(reducedReport: ReducedReport, baselineResults?: any): string;
