"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCollectCommand = void 0;
const tslib_1 = require("tslib");
const params_1 = require("./utils/params");
const loggin_1 = require("../../core/loggin");
const behaviors_1 = require("../../core/processing/behaviors");
const collect_rc_json_1 = require("../init/processes/collect-rc-json");
const serve_command_1 = require("./utils/serve-command");
const collect_reports_1 = require("./processes/collect-reports");
function runCollectCommand(argv) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const cfg = (0, params_1.getCollectCommandOptionsFromArgv)(argv);
        (0, loggin_1.logVerbose)('Collect options: ', cfg);
        yield (0, behaviors_1.run)([
            collect_rc_json_1.collectRcJson,
            (cfg) => (0, serve_command_1.startServerIfNeededAndExecute)(() => (0, collect_reports_1.collectReports)(cfg, argv), cfg.collect)
        ])(cfg);
    });
}
exports.runCollectCommand = runCollectCommand;
//# sourceMappingURL=command-impl.js.map