"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectReports = void 0;
const tslib_1 = require("tslib");
const behaviors_1 = require("../../../core/processing/behaviors");
const user_flow_1 = require("../utils/user-flow");
const persist_flow_1 = require("../utils/persist/persist-flow");
const open_report_1 = require("../utils/persist/open-report");
function collectReports(cfg, argv) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { collect, persist, assert } = cfg;
        const userFlows = (0, user_flow_1.loadFlow)(collect);
        yield (0, behaviors_1.concat)(userFlows.map(({ exports: provider, path }) => (_) => {
            return (0, user_flow_1.collectFlow)(Object.assign(Object.assign(Object.assign({}, collect), persist), assert), Object.assign(Object.assign({}, provider), { path }), argv)
                .then((flow) => (0, persist_flow_1.persistFlow)(flow, Object.assign(Object.assign({}, persist), collect)))
                .then((0, open_report_1.handleOpenFlowReports)(argv))
                .then(_ => cfg);
        }))(cfg);
        return Promise.resolve(cfg);
    });
}
exports.collectReports = collectReports;
//# sourceMappingURL=collect-reports.js.map