"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleOpenFlowReports = exports.openFlowReports = void 0;
const tslib_1 = require("tslib");
const open_1 = require("open");
const loggin_1 = require("../../../../core/loggin");
function openFlowReports(fileNames) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const htmlReport = fileNames.find(i => i.includes('.html'));
        if (htmlReport) {
            (0, loggin_1.logVerbose)('open HTML report in browser');
            yield (0, open_1.default)(htmlReport, { wait: false });
            return Promise.resolve(void 0);
        }
        const mdReport = fileNames.find(i => i.includes('.md'));
        if (mdReport) {
            (0, loggin_1.logVerbose)('open Markdown report in browser');
            yield (0, open_1.default)(mdReport, { wait: false });
            return Promise.resolve(void 0);
        }
        const jsonReport = fileNames.find(i => i.includes('.json'));
        if (jsonReport) {
            (0, loggin_1.logVerbose)('open JSON report in browser');
            // @TODO if JSON is given open the file in https://googlechrome.github.io/lighthouse/viewer/
            yield (0, open_1.default)(jsonReport, { wait: false });
        }
        return Promise.resolve(void 0);
    });
}
exports.openFlowReports = openFlowReports;
function handleOpenFlowReports({ dryRun, openReport, interactive }) {
    if (dryRun || !openReport || !interactive) {
        return;
    }
    return openFlowReports;
}
exports.handleOpenFlowReports = handleOpenFlowReports;
//# sourceMappingURL=open-report.js.map