"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFlow = void 0;
const node_path_1 = require("node:path");
const node_fs_1 = require("node:fs");
const file_1 = require("../../../../core/file");
function loadFlow(collect) {
    const { ufPath } = collect;
    const path = (0, node_path_1.join)(process.cwd(), ufPath);
    if (!(0, node_fs_1.existsSync)(path)) {
        throw new Error(`ufPath: ${path} is neither a file nor a directory`);
    }
    let files;
    if ((0, node_fs_1.lstatSync)(path).isDirectory()) {
        files = (0, node_fs_1.readdirSync)(path).map(file => (0, node_path_1.join)(path, file));
    }
    else {
        files = [path];
    }
    const flows = files.filter(f => f.endsWith('js') || f.endsWith('ts'))
        .map((file) => (0, file_1.resolveAnyFile)(file));
    if (flows.length === 0) {
        // @TODO use const for error msg
        throw new Error(`No user flows found in ${ufPath}`);
    }
    return flows;
}
exports.loadFlow = loadFlow;
//# sourceMappingURL=load-flow.js.map