"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectRcJson = void 0;
const tslib_1 = require("tslib");
const url_setup_1 = require("./url.setup");
const ufPath_setup_1 = require("./ufPath.setup");
const format_setup_1 = require("./format.setup");
const outPath_setup_1 = require("./outPath.setup");
function collectRcJson(cliCfg) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const config = Object.assign(Object.assign({}, cliCfg), (yield (0, url_setup_1.setupUrl)(cliCfg)
            .then(ufPath_setup_1.setupUfPath)
            .then(format_setup_1.setupFormat)
            .then(outPath_setup_1.setupOutPath)
        // initial static defaults should be last as it takes user settings
        ));
        return config;
    });
}
exports.collectRcJson = collectRcJson;
//# sourceMappingURL=collect-rc-json.js.map