"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmToProcess = void 0;
const tslib_1 = require("tslib");
const prompt_1 = require("./prompt");
const confirmedPrompt = (prompt) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    return yield (0, prompt_1.promptParam)({
        type: 'confirm',
        message: prompt,
        initial: true,
    });
});
const isPreconditionMet = (context, precondition) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    return precondition === undefined ? true : precondition(context);
});
function confirmToProcess({ prompt, process, precondition }) {
    return (context) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        const shouldPrompt = yield isPreconditionMet(context, precondition);
        if (!shouldPrompt) {
            return context;
        }
        const shouldProcess = yield confirmedPrompt(prompt);
        if (!shouldProcess) {
            return context;
        }
        return process(context);
    });
}
exports.confirmToProcess = confirmToProcess;
//# sourceMappingURL=confirm-to-process.js.map